=== modified file 'Makefile'
--- Makefile	2013-07-21 02:25:10 +0000
+++ Makefile	2013-08-04 02:17:29 +0000
@@ -41,7 +41,7 @@
 
 pep8:
 	@echo Running pep8...
-	@pep8 --ignore=E501 libravatar/
+	@pep8 --ignore=E501,E128,E124 libravatar/
 
 unittests:
 	@echo Running unit tests...

=== modified file 'libravatar/public/tests.py'
--- libravatar/public/tests.py	2012-03-06 08:52:42 +0000
+++ libravatar/public/tests.py	2013-08-04 02:17:29 +0000
@@ -46,16 +46,16 @@
         self.assertEquals(srv_hostname([{'target': 'avatars.example.com', 'priority': 0, 'weight': 0, 'port': 80}]),
                           ('avatars.example.com', 80))
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars2.example.com', 'priority': 10, 'weight': 0, 'port': 81},
-                            {'target': 'avatars.example.com', 'priority': 0, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars2.example.com', 'priority': 10, 'weight': 0, 'port': 81},
+                          {'target': 'avatars.example.com', 'priority': 0, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars.example.com', 80))
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars4.example.com', 'priority': 10, 'weight': 0, 'port': 83},
-                            {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
-                            {'target': 'avatars21.example.com', 'priority': 1, 'weight': 0, 'port': 81},
-                            {'target': 'avatars.example.com', 'priority': 10, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars4.example.com', 'priority': 10, 'weight': 0, 'port': 83},
+                          {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
+                          {'target': 'avatars21.example.com', 'priority': 1, 'weight': 0, 'port': 81},
+                          {'target': 'avatars.example.com', 'priority': 10, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars21.example.com', 81))
 
         # The following ones are randomly selected which is why we
@@ -64,41 +64,41 @@
 
         # random_number = 49
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
-                            {'target': 'avatars3.example.com', 'priority': 10, 'weight': 5, 'port': 82},
-                            {'target': 'avatars2.example.com', 'priority': 10, 'weight': 10, 'port': 8100},
-                            {'target': 'avatars1.example.com', 'priority': 10, 'weight': 50, 'port': 800},
-                            {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
+                          {'target': 'avatars3.example.com', 'priority': 10, 'weight': 5, 'port': 82},
+                          {'target': 'avatars2.example.com', 'priority': 10, 'weight': 10, 'port': 8100},
+                          {'target': 'avatars1.example.com', 'priority': 10, 'weight': 50, 'port': 800},
+                          {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars1.example.com', 800))
 
         # random_number = 0
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
-                            {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
-                            {'target': 'avatars2.example.com', 'priority': 20, 'weight': 0, 'port': 81},
-                            {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
+                          {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
+                          {'target': 'avatars2.example.com', 'priority': 20, 'weight': 0, 'port': 81},
+                          {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars3.example.com', 82))
 
         # random_number = 1
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars4.example.com', 'priority': 10, 'weight': 0, 'port': 83},
-                            {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
-                            {'target': 'avatars20.example.com', 'priority': 10, 'weight': 10, 'port': 601},
-                            {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars4.example.com', 'priority': 10, 'weight': 0, 'port': 83},
+                          {'target': 'avatars3.example.com', 'priority': 10, 'weight': 0, 'port': 82},
+                          {'target': 'avatars20.example.com', 'priority': 10, 'weight': 10, 'port': 601},
+                          {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars20.example.com', 601))
 
         # random_number = 40
         self.assertEquals(srv_hostname([
-                            {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
-                            {'target': 'avatars3.example.com', 'priority': 10, 'weight': 5, 'port': 82},
-                            {'target': 'avatars2.example.com', 'priority': 10, 'weight': 10, 'port': 8100},
-                            {'target': 'avatars10.example.com', 'priority': 10, 'weight': 30, 'port': 8},
-                            {'target': 'avatars1.example.com', 'priority': 10, 'weight': 50, 'port': 800},
-                            {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
-                            ]),
+                          {'target': 'avatars4.example.com', 'priority': 10, 'weight': 1, 'port': 83},
+                          {'target': 'avatars3.example.com', 'priority': 10, 'weight': 5, 'port': 82},
+                          {'target': 'avatars2.example.com', 'priority': 10, 'weight': 10, 'port': 8100},
+                          {'target': 'avatars10.example.com', 'priority': 10, 'weight': 30, 'port': 8},
+                          {'target': 'avatars1.example.com', 'priority': 10, 'weight': 50, 'port': 800},
+                          {'target': 'avatars.example.com', 'priority': 20, 'weight': 0, 'port': 80},
+                          ]),
                           ('avatars10.example.com', 8))
 
     def testHomepage(self):

=== modified file 'libravatar/settings.py.example'
--- libravatar/settings.py.example	2013-07-30 11:47:36 +0000
+++ libravatar/settings.py.example	2013-08-04 02:17:29 +0000
@@ -31,13 +31,13 @@
 
 DATABASES = {
     'default': {
-        'ENGINE': 'django.db.backends.postgresql_psycopg2', # Add 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
-        "NAME": 'libravatar',                      # Or path to database file if using sqlite3.
-        "USER": 'djangouser',                      # Not used with sqlite3.
-        "PASSWORD": '',                  # Not used with sqlite3.
-        "HOST": '',                      # Set to empty string for localhost. Not used with sqlite3.
+        'ENGINE': 'django.db.backends.postgresql_psycopg2',
+        "NAME": 'libravatar',
+        "USER": 'djangouser',
+        "PASSWORD": '',
+        "HOST": '',
         "PORT": '',
-        "OPTIONS": { 'autocommit': True },
+        "OPTIONS": {'autocommit': True},
     }
 }
 
@@ -144,7 +144,7 @@
 )
 
 LOGIN_URL = '/account/login/'
-LOGIN_REDIRECT_URL = '/account/profile/' # Set to /account/profile_success/ for authenticating ldap users
+LOGIN_REDIRECT_URL = '/account/profile/'  # Set to /account/profile_success/ for authenticating ldap users
 
 # Path and URL for images uploaded by users
 UPLOADED_FILES_ROOT = '%s/uploaded/' % PROJECT_ROOT
@@ -186,7 +186,7 @@
 MAX_NUM_PHOTOS = 4
 
 # Maximum file size for each photo
-MAX_PHOTO_SIZE = 10485760 # in bytes
+MAX_PHOTO_SIZE = 10485760  # in bytes
 FILE_UPLOAD_MAX_MEMORY_SIZE = MAX_PHOTO_SIZE
 
 # Quality can be from 1 to 95
@@ -216,9 +216,9 @@
 AUTH_LDAP_SERVER_URI = "ldap://ldap.example.com:389/"
 AUTH_LDAP_USER_DN_TEMPLATE = "uid=%(user)s,ou=StaffGroup,dc=example,dc=com"
 AUTH_LDAP_USER_ATTR_MAP = {
-    'first_name':       'givenName',
-    'last_name':        'sn',
-    'email':            'mail',
+    'first_name': 'givenName',
+    'last_name': 'sn',
+    'email': 'mail',
 }
 AUTH_LDAP_USER_PHOTO = 'jpegPhoto'
 

